Update Resident: Rentvine
https://api.propexo.com/v1/residents/rentvine/:resident_idNote: If you'd like to update the resident's address, phone number, or email address, this will require additional configuration to read in required metadata. If you'd like to update these fields, please contact support.
| Interface | Method |
|---|---|
| Tenants | POST /api/manager/tenants/{contactID}/addresses/{contactAddressID} |
| Contacts | POST /api/manager/contacts/{contactID}/addresses |
| Tenants | POST /api/manager/tenants/{contactID}/phones/{contactPhoneID} |
| Contacts | POST /api/manager/contacts/{contactID}/phones |
| Tenants | POST /api/manager/tenants/{contactID}/emails/{emailID} |
| Contacts | POST /api/manager/contacts/{contactID}/emails |
| Tenants | POST /api/manager/leases/{leaseID}/tenants/{tenantID} |
| Tenants | POST /api/manager/tenants/{contactID} |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The first name associated with the resident
The middle name associated with the resident
The last name associated with the resident
The primary email address associated with the resident
The date of birth associated with the resident
Show 2 variants
The first address line associated with the resident
The second address line associated with the resident
The city associated with the resident
The state associated with the resident
Show 73 enum values
ABBCMBNBNLNTNSNUONPEQCSKYTALAKASAZARAAAEAPCACOCTDEDCFLGAGUHIIDILINIAKSKYLAMEMDMAMIMNMSMOMTNENVNHNJNMNYNCNDMPOHOKORPAPRRISCSDTNTXUMUTVTVIVAWAWVWIWYThe zip code associated with the resident
The country associated with the resident
Show 2 enum values
USCAPrimary phone number associated with the resident
Possible values: Value must match regular expression ^\+?\d{1,50}$
Type of the primary phone number
Show 5 enum values
MOBILEHOMEWORKFAXOTHERWhether the resident is the primary record
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the resident. The resident must be a primary.
The first name associated with the resident
The middle name associated with the resident
The last name associated with the resident
The primary email address associated with the resident
The date of birth associated with the resident
Show 2 variants
The first address line associated with the resident
The second address line associated with the resident
The city associated with the resident
The state associated with the resident
Show 73 enum values
ABBCMBNBNLNTNSNUONPEQCSKYTALAKASAZARAAAEAPCACOCTDEDCFLGAGUHIIDILINIAKSKYLAMEMDMAMIMNMSMOMTNENVNHNJNMNYNCNDMPOHOKORPAPRRISCSDTNTXUMUTVTVIVAWAWVWIWYThe zip code associated with the resident
The country associated with the resident
Show 2 enum values
USCAPrimary phone number associated with the resident
Possible values: Value must match regular expression ^\+?\d{1,50}$
Type of the primary phone number
Show 5 enum values
MOBILEHOMEWORKFAXOTHERWhether the resident is the primary record
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/residents/rentvine/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AB",
"zip": "string",
"country": "US",
"phone_1": "string",
"phone_1_type": "MOBILE",
"is_primary": true
}'
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AB",
"zip": "string",
"country": "US",
"phone_1": "string",
"phone_1_type": "MOBILE",
"is_primary": true
}
}